> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Create a report card term

POST https://ssuccessv2.com/app/api/v1/terms
Content-Type: application/json

Creates a SchoolSet report card term for an academic year and optionally attaches school structure nodes and classes to the new term.

Reference: https://docs.schoolset.io/api-reference/school-set-api/report-card-terms/store-report-card-term

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `academic_year_id` (integer, required)
- `name` (string, required)
- `start_date` (date, required)
- `end_date` (date, required)
- `active` (boolean, optional)
- `nodes` (list of integer, optional)
- `classes` (list of integer, optional)
- `order` (integer, optional, nullable)

## Response

### 200

Report card term was created.

- `status` (string, required)
- `message` (string, required)
- `data` (list of any, required)

## Errors

### 401 Unauthorized Error

Authentication is required to create report card terms.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The authenticated user lacks the create-report-cards permission for this school.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

The term name

- `message` (string, required)
- `errors` (map from string to list of string, required)

### 500 Internal Server Error

The report card term could not be created because of a server error.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

## Examples

**Request**

```json
{
  "academic_year_id": 2026,
  "name": "Fall Term"
}
```

**Response**

```json
{
  "status": "success",
  "message": "Term created successfully",
  "data": []
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/terms"

payload = {
    "academic_year_id": 2026,
    "name": "Fall Term"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/terms';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"academic_year_id":2026,"name":"Fall Term"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/terms"

	payload := strings.NewReader("{\n  \"academic_year_id\": 2026,\n  \"name\": \"Fall Term\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/terms")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"academic_year_id\": 2026,\n  \"name\": \"Fall Term\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/terms")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"academic_year_id\": 2026,\n  \"name\": \"Fall Term\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/terms', [
  'body' => '{
  "academic_year_id": 2026,
  "name": "Fall Term"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/terms");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"academic_year_id\": 2026,\n  \"name\": \"Fall Term\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "academic_year_id": 2026,
  "name": "Fall Term"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/terms")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```